## smifb2 2.2.6.3.gbbd2e82

=== smifb2/Makefile ===
ifneq ($(KERNELRELEASE),)

obj-m := smifb.o
smifb-objs :=smi_drv.o smi_main.o smi_mode.o smi_plane.o smi_ttm.o smi_prime.o hw750.o hw768.o smi_sysfs.o
smifb-objs += ddk750/ddk750_help.o  ddk750/ddk750_chip.o  ddk750/ddk750_clock.o  ddk750/ddk750_mode.o ddk750/ddk750_power.o ddk750/ddk750_helper.o ddk750/ddk750_display.o ddk750/ddk750_2d.o ddk750/ddk750_edid.o ddk750/ddk750_swi2c.o ddk750/ddk750_hwi2c.o ddk750/ddk750_cursor.o


ifeq ($(hdmi),1)
EXTRA_CFLAGS += -DUSE_HDMICHIP
smifb-y += ddk750/ddk750_sii9022.o
smifb-y += ddk750/siHdmiTx_902x_TPI.o
endif

ifeq ($(ep952),1)
EXTRA_CFLAGS += -DUSE_EP952
smifb-y += ddk768/ddk768_ep952.o
endif


smifb-objs += ddk768/ddk768_help.o  ddk768/ddk768_chip.o  ddk768/ddk768_clock.o  ddk768/ddk768_mode.o ddk768/ddk768_power.o ddk768/ddk768_helper.o ddk768/ddk768_display.o ddk768/ddk768_2d.o \
ddk768/ddk768_edid.o ddk768/ddk768_swi2c.o ddk768/ddk768_hwi2c.o ddk768/ddk768_cursor.o ddk768/ddk768_video.o ddk768/ddk768_hdmi.o ddk768/ddk768_pwm.o ddk768/ddk768_timer.o ddk768/ddk768_intr.o 



smifb-y += smi_snd.o
smifb-y += ddk768/ddk768_iis.o
smifb-y += ddk768/uda1345.o
smifb-y += ddk768/l3.o
smifb-y += ddk768/wm8978.o

ifeq ($(prime),1)
EXTRA_CFLAGS += -DPRIME
endif

ccflags-y :=-O2 -fno-tree-scev-cprop -D_D_SMI -D_D_SMI_D -D__cdecl

else

ifneq ($(RUN_DEPMOD),)
	DEPMOD := /sbin/depmod -a
else
	DEPMOD := true
endif


knv :=$(shell uname -r)
KERNELDIR :=/lib/modules/$(knv)/build
PWD := $(shell pwd)
RM = rm
MOD_KERNEL_PATH = extra
default:
		$(MAKE) -C $(KERNELDIR) M=$(PWD) modules
install:default
		$(MAKE) -C $(KERNELDIR) M=$(PWD) INSTALL_MOD_PATH=$(DESTDIR) INSTALL_MOD_DIR=$(MOD_KERNEL_PATH) modules_install
		$(DEPMOD)

uninstall:
		$(RM) -rf $(DESTDIR)/lib/modules/$(knv)/$(MOD_KERNEL_PATH)
		$(DEPMOD)

clean:
		$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

endif

## smifb2 2.2.3.4.g1828e79

=== debian/changelog ===
smifb2 (2.2.3.4.g1828e79-3ubuntu1) noble; urgency=medium

  * debian/patches/0001-fix-Linux-6.6-drm_gem_prime_-fd_to_handle-handle_to_.patch,
    debian/patches/0002-fix-Linux-6.6-drm_gem_prime_mmap-is-now-the-default-.patch:
    - Fix Linux 6.6. FTBFS (LP: #2042106)

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 31 Oct 2023 14:55:29 +0000

smifb2 (2.2.3.4.g1828e79-3) unstable; urgency=medium

  * Depend on CONFIG_DRM_VRAM_HELPER to fix armel builds.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 22 Oct 2023 22:57:25 +0100

smifb2 (2.2.3.4.g1828e79-2) unstable; urgency=medium

  * Fix build on arm64.
  * Only build if CONFIG_DRM and CONFIG_I2C is defined. (Closes: #1052078)
    - Thanks Andreas Beckmann.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 21 Oct 2023 23:02:58 +0100

smifb2 (2.2.3.4.g1828e79-1) unstable; urgency=medium

  * Initial release (Closes: #1028532)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 08 Aug 2023 12:41:36 +0100

=== debian/control ===
Source: smifb2
Section: kernel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
Standards-Version: 4.6.2
Homepage: https://github.com/teddywlq/smifb2
Vcs-Browser: https://salsa.debian.org/sudip/smifb2
Vcs-Git: https://salsa.debian.org/sudip/smifb2.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: smifb2-dkms
Architecture: all
Depends: ${misc:Depends}
Description: SiliconMotion SM750/SM768 Graphics PCI-E DRM Driver
 smifb2 is a hdmi driver for SiliconMotion SM750 and SM768 graphics
 cards.
 .
 SM768 is high performance graphics processor which provides dual display
 channels and supports multiple output interfaces, including HDMI,
 DisplayPort, DVI, VGA, LVDS and digital interfaces. SM768 has 128-bit
 graphics engine to accelerate graphics displays and provides color space
 conversion and scaling features. Display resolution supports up to
 4K UHD (3840x2160@30p) or 2K/Full HD@60p. SM768 supports H.264/MJPEG
 hardware video decoding.
 .
 SM750, Dual Display Graphics Chip is a PCI Express 2D multimedia mobile
 display controller device providing video and 2D capability to the
 embedded industry in a 265-pin BGA package.
 .
 This package uses DKMS to automatically build the smifb2 kernel module.

## smifb2 2.2.6.3.gbbd2e82

=== debian/changelog ===
smifb2 (2.2.6.3.gbbd2e82-1) unstable; urgency=medium

  * New upstream version 2.2.6.3.gbbd2e82
    - Remove upstream applied patches.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 22 Dec 2023 22:03:20 +0000

smifb2 (2.2.3.4.g1828e79-4) unstable; urgency=medium

  * Add patches from Ubuntu to fix build failure with v6.6 kernel.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 05 Nov 2023 14:39:37 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: smifb2
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
 Standards-Version: 4.6.2
 Homepage: https://github.com/teddywlq/smifb2

## smifb2 2.3.0.4.gae69a84

=== debian/changelog ===
smifb2 (2.3.0.4.gae69a84-1) unstable; urgency=medium

  * New upstream version 2.3.0.4.gae69a84
  * Fix build with v6.8 kernel.
    - Thanks Paolo Pisati for the patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 06 May 2024 15:09:54 +0100

## smifb2 2.3.0.9.g20b8ef5

=== smifb2/Makefile ===
ifneq ($(KERNELRELEASE),)

Driver=smifb
obj-m := ${Driver}.o
${Driver}-objs :=smi_drv.o smi_main.o smi_mode.o smi_plane.o smi_ttm.o smi_prime.o hw750.o hw768.o smi_debugfs.o
${Driver}-objs += ddk750/ddk750_help.o  ddk750/ddk750_chip.o  ddk750/ddk750_clock.o  ddk750/ddk750_mode.o ddk750/ddk750_power.o ddk750/ddk750_helper.o ddk750/ddk750_display.o ddk750/ddk750_2d.o ddk750/ddk750_edid.o ddk750/ddk750_swi2c.o ddk750/ddk750_hwi2c.o ddk750/ddk750_cursor.o


ifeq ($(hdmi),1)
EXTRA_CFLAGS += -DUSE_HDMICHIP
${Driver}-y += ddk750/ddk750_sii9022.o
${Driver}-y += ddk750/siHdmiTx_902x_TPI.o
endif

ifeq ($(ep952),1)
EXTRA_CFLAGS += -DUSE_EP952
${Driver}-y += ddk768/ddk768_ep952.o
endif


${Driver}-objs += ddk768/ddk768_help.o  ddk768/ddk768_chip.o  ddk768/ddk768_clock.o  ddk768/ddk768_mode.o ddk768/ddk768_power.o ddk768/ddk768_helper.o ddk768/ddk768_display.o ddk768/ddk768_2d.o \
ddk768/ddk768_edid.o ddk768/ddk768_swi2c.o ddk768/ddk768_hwi2c.o ddk768/ddk768_cursor.o ddk768/ddk768_video.o ddk768/ddk768_hdmi.o ddk768/ddk768_pwm.o ddk768/ddk768_timer.o ddk768/ddk768_intr.o 



${Driver}-y += smi_snd.o
${Driver}-y += ddk768/ddk768_iis.o
${Driver}-y += ddk768/uda1345.o
${Driver}-y += ddk768/l3.o
${Driver}-y += ddk768/wm8978.o

ifeq ($(prime),1)
EXTRA_CFLAGS += -DPRIME
endif

ccflags-y :=-O2 -fno-tree-scev-cprop -D_D_SMI -D_D_SMI_D -D__cdecl

else

ifneq ($(RUN_DEPMOD),)
	DEPMOD := /sbin/depmod -a
else
	DEPMOD := true
endif

CONFIG_MODULE_SIG=n
knv :=$(shell uname -r)
KERNELDIR :=/lib/modules/$(knv)/build
PWD := $(shell pwd)
RM = rm
MOD_KERNEL_PATH = extra
default:
		$(MAKE) -C $(KERNELDIR) M=$(PWD) modules
install:default
		$(MAKE) -C $(KERNELDIR) M=$(PWD) INSTALL_MOD_PATH=$(DESTDIR) INSTALL_MOD_DIR=$(MOD_KERNEL_PATH) modules_install
		$(DEPMOD)

uninstall:
		$(RM) -rf $(DESTDIR)/lib/modules/$(knv)/$(MOD_KERNEL_PATH)
		$(DEPMOD)

clean:
		$(MAKE) -C $(KERNELDIR) M=$(PWD) clean

endif

=== debian/changelog ===
smifb2 (2.3.0.9.g20b8ef5-1) unstable; urgency=medium

  * New upstream version 2.3.0.9.g20b8ef5
  * Update Standards-Version to 4.7.0

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 28 Jul 2024 10:45:35 +0100

## smifb2 2.4.0

=== debian/changelog ===
smifb2 (2.4.0-2ubuntu1) plucky; urgency=medium

  * Support Linux 6.14 (LP: #2100863)
    - minor-fix-for-linux-6.11.patch
    - support-linux-6.13.patch
    - fix-drm_client_setup-header-linux-6.14.patch
    - remove-driver-date-from-struct-drm_driver-linux-6.14.patch
    - resolve-compile-errors-on-kernel-above-v6.x.patch
  * Change maintainer to Ubuntu Developers

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Tue, 04 Mar 2025 13:31:39 +0100

smifb2 (2.4.0-2) unstable; urgency=medium

  * Fix build with v6.11 kernel. (Closes: #1082716)
  * Fix package and dkms version.
    - Thanks Andreas.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 25 Sep 2024 20:44:14 +0100

smifb2 (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * Fix build with v6.10 kernel. (Closes: #1077842)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 23 Sep 2024 22:15:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: smifb2
 Section: kernel
 Priority: optional
-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/teddywlq/smifb2
 Vcs-Browser: https://salsa.debian.org/sudip/smifb2
 Vcs-Git: https://salsa.debian.org/sudip/smifb2.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install -Xsmifb2/readme

## smifb2 2.4.1

=== smifb2/Makefile ===
--- 
+++ 
@@ -21,13 +21,15 @@
 ${Driver}-objs += ddk768/ddk768_help.o  ddk768/ddk768_chip.o  ddk768/ddk768_clock.o  ddk768/ddk768_mode.o ddk768/ddk768_power.o ddk768/ddk768_helper.o ddk768/ddk768_display.o ddk768/ddk768_2d.o \
 ddk768/ddk768_edid.o ddk768/ddk768_swi2c.o ddk768/ddk768_hwi2c.o ddk768/ddk768_cursor.o ddk768/ddk768_video.o ddk768/ddk768_hdmi.o ddk768/ddk768_pwm.o ddk768/ddk768_timer.o ddk768/ddk768_intr.o 
 
-
-
+ifeq ($(noaudio),1)
+EXTRA_CFLAGS += -DNO_AUDIO
+else
 ${Driver}-y += smi_snd.o
 ${Driver}-y += ddk768/ddk768_iis.o
 ${Driver}-y += ddk768/uda1345.o
 ${Driver}-y += ddk768/l3.o
 ${Driver}-y += ddk768/wm8978.o
+endif
 
 ifeq ($(prime),1)
 EXTRA_CFLAGS += -DPRIME

=== debian/changelog ===
smifb2 (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
    - Remove upstream applied patch.
    - Refresh patches.
    - Remove more non-utf8 encoding.
  * Update Standards-Version to 4.7.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 05 Apr 2025 12:51:52 +0100

smifb2 (2.4.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Simplify -dkms package installation.
  * Fix version constraints to restore support for some ancient kernels.
  * Fix build with v6.12 kernel. (Closes: #1089505)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Mar 2025 11:48:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: smifb2
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
+Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
 Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/teddywlq/smifb2
 Vcs-Browser: https://salsa.debian.org/sudip/smifb2
 Vcs-Git: https://salsa.debian.org/sudip/smifb2.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	dh_install -Xsmifb2/readme smifb2/* usr/src/smifb2-$(DEB_VERSION_UPSTREAM)/

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=describe, uversionmangle=s/^v//" \
 https://github.com/teddywlq/smifb2.git \
  HEAD debian uupdate
